Page MenuHomePhabricator

decom uranium
Closed, ResolvedPublic

Description

uranium.wikimedia.org, formerly ganglia.wikimedia.org / ganglia-web host, is not used as ganglia server anymore (T177225)

it is already set to use role spare::system

it needs the rest of the decom template and steps and then hand-over to dc-ops


  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp (replace with role::spare if system isn't shut down immediately during this process.)

START NON-INTERRUPPTABLE STEPS

  • - disable puppet on host
  • - remove all remaining puppet references (include role::spare)
  • - power down host
  • - disable switch port (by Chris)
  • - switch port assignment noted on this task (for later removal) <cmjohnson1> ge-3/0/6 down down uranium
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate

END NON-INTERRUPPTABLE STEPS

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: mgmt dns entries removed.
  • - IF RECLAIM: system added back to spares tracking (by onsite)

Details

Related Gerrit Patches:
operations/dns : masterRemoving mgmt dns for uranium
operations/dns : masterremove uranium.wikimedia.org, v4 + v6
operations/puppet : productiondecom: remove uranium from site,DHCP,netboot
operations/puppet : productionuranium: remove mapped v6, add decom comment

Event Timeline

Dzahn created this task.Dec 19 2017, 1:20 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 19 2017, 1:20 AM

Change 399125 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] remove uranium.wikimedia.org, v4 v6

https://gerrit.wikimedia.org/r/399125

Change 399127 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] uranium: remove mapped v6, add decom comment

https://gerrit.wikimedia.org/r/399127

Change 399127 merged by Dzahn:
[operations/puppet@production] uranium: remove mapped v6, add decom comment

https://gerrit.wikimedia.org/r/399127

Dzahn updated the task description. (Show Details)Dec 21 2017, 1:08 AM
Dzahn updated the task description. (Show Details)
Dzahn added projects: ops-eqiad, procurement.
Dzahn removed Dzahn as the assignee of this task.Dec 21 2017, 1:10 AM

Change 399684 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] decom: remove uranium from site,DHCP,netboot

https://gerrit.wikimedia.org/r/399684

Volans triaged this task as Medium priority.Dec 22 2017, 9:18 AM
Cmjohnson moved this task from Backlog to Decommission on the ops-eqiad board.Jan 2 2018, 4:08 PM

Change 399684 merged by Dzahn:
[operations/puppet@production] decom: remove uranium from site,DHCP,netboot

https://gerrit.wikimedia.org/r/399684

Mentioned in SAL (#wikimedia-operations) [2018-01-03T20:50:35Z] <mutante> uranium (ex-ganglia-web) is going into eternal downtime on Icinga.. shutdown -h RIP (T183209)

Dzahn updated the task description. (Show Details)Jan 3 2018, 8:52 PM

Mentioned in SAL (#wikimedia-operations) [2018-01-03T20:56:09Z] <mutante> uranium - revoked puppet cert, node deactivate, removing from DNS (T183209)

Change 399125 merged by Dzahn:
[operations/dns@master] remove uranium.wikimedia.org, v4 v6

https://gerrit.wikimedia.org/r/399125

Dzahn assigned this task to Cmjohnson.Jan 3 2018, 8:59 PM
Dzahn updated the task description. (Show Details)
Dzahn updated the task description. (Show Details)
Dzahn moved this task from Inbox to In progress on the observability board.Jan 8 2018, 4:04 PM
Cmjohnson moved this task from Decommission to Up next on the ops-eqiad board.Mar 28 2018, 5:51 PM

Change 427432 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] Removing mgmt dns for uranium

https://gerrit.wikimedia.org/r/427432

Change 427432 merged by Cmjohnson:
[operations/dns@master] Removing mgmt dns for uranium

https://gerrit.wikimedia.org/r/427432

Cmjohnson closed this task as Resolved.Apr 18 2018, 5:02 PM
Cmjohnson updated the task description. (Show Details)

Removed from rack, racktables updated, tracking sheet updated

Dzahn moved this task from Externally blocked to Done on the observability board.May 14 2018, 2:56 PM